Description: First CloudFormation task

Parameters: 
  InstanceType:
    Description: EC2 instance configuration
    Type: String
    Default: t2.micro
    AllowedValues:
      - t2.micro

Resources: 
  EC2Instance:
    Type: AWS::EC2::Instance
    Properties:
      KeyName: test
      ImageId: ami-03d5c68bab01f3496
      InstanceType: 
        Ref: InstanceType 

Outputs:
  PublicIp:
    Description: EC2Instance public IP
    Value: !GetAtt EC2Instance.PublicIp